Subject: EABI

From: Brian Silverman <[email-masked]>
Date: Thu, 24 Apr 2008 12:13:10 -0400

Is it possible to compile a Linux application using an EABI compiler 
(specfically, Xilinx's EDK powerpc-eabi-gcc.exe)?
 
The issue at hand is that we'd like for our customers to be able to use 
the Xilinx EDK toolchain (which we know they will have) to compile Linx 
apps without having to install another toolchain (crosstool, ELDK, etc).
 
So, what I'm hoping is that the EDK toolchain can be configured to be 
Linux compatible binaries, or that there is some kind of wrapper that 
will handle the incompatible interfaces.  Searching around, I've seen 
some mention of Linux EABI compatibility (for Debian ARM releases), but 
I haven't found any clear concensus...

P.S. My apologies if this message appears on the mailing list twice...

-- 
Brian Silverman
Concept X, LLC